<?php

namespace FiloBlu\Core\Api;

use Magento\Store\Api\Data\StoreInterface;

/**
 * Interface StoreCalculatorInterface
 * @package FiloBlu\Core\Api
 */
interface StoreCalculatorInterface
{
    /**
     * @param $object
     * @return StoreInterface
     */
    public function calculate($object) : StoreInterface;

    /**
     * @param $object
     * @return bool
     */
    public function canHandle($object) : bool;
}
